{% extends 'base.html.twig' %}

{% block title %}Article index{% endblock %}

{% block body %}
    <h1>Gestion des articles</h1>


    <div class="row">
        <div class="col-2">
            <a href="{{ path('app_article_new') }}" class="btn btn-primary">ajouter</a><br><br>
        </div>
        <div class="col-2">
            <a href="{{ path('app_article_csvgenerate') }}" class="btn btn-success">convert to pdf </a><br>
        </div>
        <div class="col-2">
        {% if link is defined %}
            <a href="{{ link }}" class="btn btn-success">cliquez ici pour telecharger ...</a><br>
        {% endif %}
        </div>
    </div>
    <table class="table">
        <thead>
            <tr>
                <th>Id</th>
                <th>Nom</th>
                <th>Description</th>
                <th>actions</th>
            </tr>
        </thead>
        <tbody>
        {% for article in articles %}
            <tr>
                <td>{{ article.id }}</td>
                <td>{{ article.name }}</td>
                <td>{{ article.description }}</td>
                <td>
                    <a href="{{ path('app_article_show', {'id': article.id}) }}" class="btn btn-info">détails</a>
                    <a href="{{ path('app_article_edit', {'id': article.id}) }}" class="btn btn-warning">modifier</a>
                </td>
            </tr>
        {% else %}
            <tr>
                <td colspan="4">no records found</td>
            </tr>
        {% endfor %}
        </tbody>
    </table>
{% endblock %}
